API / Reference / Invoice Payables
Get invoice payable line item
GET
https://api.light.inc/v1/invoice-payables/{invoicePayableId}/line-items/{lineItemId}
Gets an invoice payable line item
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
invoicePayableIdstring · uuidrequired -
lineItemIdstring · uuidrequired
Response
-
idstring · uuidID of the invoice payable line item.
-
invoicePayableIdstring · uuidID of the invoice payable this line item belongs to.
-
typestringType of the invoice payable line item (vendor invoice or reimbursement).
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
REIMBURSEMENTSELF_BILLEDVENDOR_INVOICE -
metadataobjectMetadata for the invoice payable line item (ERP-specific fields and context).
-
typestringType of the invoice payable line item (vendor invoice or reimbursement).
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
REIMBURSEMENTSELF_BILLEDVENDOR_INVOICE
-
-
amountinteger · int64Amount in cents, including tax. When
lineItemsIncludeTaxis true,amountrepresents the full tax-inclusive amount for this line. -
netAmountinteger · int64Net line amount in cents, excluding tax. When
lineItemsIncludeTaxis false,netAmountrepresents the base amount on which tax is calculated. -
descriptionstringDescription of this invoice payable line item.
-
taxCodeIdstring · uuidID of the tax code applied to this line item.
-
taxAmountinteger · int64Tax amount in cents for this line item.
-
accountIdstring · uuidID of the ledger account used to book this line item.
-
costCenterIdstring · uuidID of the cost center associated with this line item, if applicable.
-
amortizationStartDatestring · dateStart date for amortization of this line item.
-
amortizationEndDatestring · dateEnd date for amortization of this line item.
-
amortizationTemplateIdstring · uuidID of the amortization template to use for this line item within Light Ledger.
-
customPropertiesOldobjectLegacy container for custom properties on this line item (deprecated/old format).
-
itemsobject
-
-
aiValueSuggestionsarray of objectAI-generated suggestions for line item values (e.g. account, cost center, tax code).
-
fieldstring -
fieldValuesarray of string -
reasoningstring
-
-
customPropertiesarray of objectCustom properties set on this invoice payable line item.
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-
-
createdAtstring · date-timeTimestamp when this invoice payable line item was created.
-
updatedAtstring · date-timeTimestamp when this invoice payable line item was last updated.